Subject: bug#50617: [core-updates-frozen] CMake fails to build on i686-linux

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 16 Sep 2021 13:13:55 +0000

Ludovic Courtès <[email-masked]> skribis:

> On ‘core-updates-frozen’, CMake has one test failure on i686-linux when
> building on berlin (e.g., <https://ci.guix.gnu.org/build/790602/log/raw>):
>
> --8<---------------cut here---------------start------------->8---
> 545/558 Test #518: RunCMake.CPack_TXZ ................................***Failed    3.79 sec
> [...]
> --8<---------------cut here---------------end--------------->8---
>
> I cannot reproduce it on hardware with 32 cores.  I suspect it has to do
> with the number of threads used for xz compression, which defaults to
> the number of cores, and some of the build machines on berlin have way
> more cores.
>
> Ludo’.

I tried a few times on a machine with 16 cores, and I can't reproduce
either. The build succeeded every time.